API v2 문서모델
색상 팔레트 프리셋 목록 조회
POST /v2/image/create의 colorPalette에 사용할 PixAI 공식 색상 팔레트를 나열합니다. 사용하려면 프리셋 객체 전체에 "source": "preset"을 추가해 보내세요.
name은 현지화됩니다. ?lang=ja(또는 ko, en)나 Accept-Language 헤더를 보내세요.
Authorization
bearerAuth AuthorizationBearer <token>
인증이 필요한 모든 요청에는 HTTP 헤더에 다음을 추가하세요
In: header
Response Body
application/json
curl -X GET "https://api.pixai.art/v2/color-palettes/presets"{
"palettes": [
{
"id": "string",
"name": "string",
"palette": {
"overall": {
"colors": [
{
"hex": "string",
"ratio": 100
}
]
},
"background": {
"colors": [
{
"hex": "string",
"ratio": 100
}
]
},
"character": {
"colors": [
{
"hex": "string",
"ratio": 100
}
]
}
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"coverUrl": "string"
}
]
}